Skip to main content
PUT
Update custom field option

Authorizations

Authorization
string
header
required

Your API key goes here

Path Parameters

storeId
string<uuid>
required

The ID of the store.

productId
string<uuid>
required

The ID of the product.

variantId
string<uuid>
required

The ID of the variant.

fieldId
string<uuid>
required

The ID of the parent custom field.

optionId
string<uuid>
required

The ID of the option to update.

Body

The form containing updated option details.

Form for creating or updating an option for a custom field.

label
string
required

The user-facing label for this option.

Required string length: 1 - 128
value
string
required

The stored value for this option (often same as Label).

Required string length: 1 - 64
order
integer<int32>
required

Sort order among sibling options.

Required range: 0 <= x <= 2147483647

Response

The object was successfully updated.

Represents a default generic response for API endpoints.

success
boolean
required

Indicates whether the operation or response was successful.

message
string | null

A descriptive message providing additional context or information about the response.

code
string | null

The error code (if there was an error) to use when referencing the error

data
object

Represents one of the selectable options for a CustomField.

Last modified on August 29, 2025